

C_FLAGS = [
    "-g",
    "-fPIC",
    "-O2",
    "-fvisibility=hidden",
    "-O3",
    "-DNDEBUG",
    "-fPIC",
]
C_DEFINES = [
    "-DURI_LIBRARY_BUILD",
    "-DURI_NO_UNICODE",
    "-DURI_VISIBILITY",
    "-Duriparser_EXPORTS",
]
cc_library_shared {
    name: "liburiparser",

    srcs: [
        "src/UriCommon.c",
        "src/UriCompare.c",
        "src/UriEscape.c",
        "src/UriFile.c",
        "src/UriIp4Base.c",
        "src/UriIp4.c",
        "src/UriMemory.c",
        "src/UriNormalizeBase.c",
        "src/UriNormalize.c",
        "src/UriParseBase.c",
        "src/UriParse.c",
        "src/UriQuery.c",
        "src/UriRecompose.c",
        "src/UriResolve.c",
        "src/UriShorten.c",
    ],

    include_dirs: ["vendor/mediatek/tv/external/uriparser/v0.9.6/include"] + ["vendor/mediatek/tv/external/uriparser/v0.9.6/src"] + ["vendor/mediatek/tv/external/uriparser/v0.9.6/android_include"],

    cflags: C_FLAGS + C_DEFINES,

    proprietary: true,
    owner: "mtk",
}
